Index: trunk/modules/vci_block_device_tsar/caba/source/include/vci_block_device_tsar.h
===================================================================
--- trunk/modules/vci_block_device_tsar/caba/source/include/vci_block_device_tsar.h	(revision 392)
+++ trunk/modules/vci_block_device_tsar/caba/source/include/vci_block_device_tsar.h	(revision 400)
@@ -30,4 +30,7 @@
 //////////////////////////////////////////////////////////////////////////////////////
 // This component is a simplified disk controller with a VCI interface.
+// It supports only 32 or 64 bits VCI DATA width, but all addressable registers
+// contain 32 bits words. It supports VCI addresss lartger than 32 bits.
+//
 // This component can perform data transfers between one single file belonging 
 // to the host system and a buffer in the memory of the virtual prototype.
@@ -36,19 +39,20 @@
 // The block size (bytes), and the burst size (bytes) must be power of 2.
 // The burst size is typically a cache line. 
-// If the memory buffer is not constrained to be aligned on a burst boundary. 
+// The memory buffer is not constrained to be aligned on a burst boundary,
+// but must be aligned on a 32 bits word boundary. 
 // Both read and write transfers are supported. An IRQ is optionally
 // asserted when the transfer is completed. 
 //
-// As a target this block device controler contains 9 memory mapped registers,
+// As a target this block device controler contains 9 32 bits memory mapped registers,
 // taking 36 bytes in the address space.
-// - BLOCK_DEVICE_BUFFER        0x00 (read/write)    Memory buffer base address (32 LSB bits)
-// - BLOCK_DEVICE_COUNT         0x04 (read/write)    Number of blocks to be transfered.
-// - BLOCK_DEVICE_LBA           0x08 (read/write)    Index of first block in the file.
-// - BLOCK_DEVICE_OP            0x0C (write-only)    Writing here starts the operation.
-// - BLOCK_DEVICE_STATUS        0x10 (read-only)     Block Device status.
-// - BLOCK_DEVICE_IRQ_ENABLE    0x14 (read/write)    IRQ enabled if non zero.
-// - BLOCK_DEVICE_SIZE          0x18 (read-only)     Number of addressable blocks.
-// - BLOCK_DEVICE_BLOCK_SIZE    0x1C (read_only)     Block size in bytes.
-// - BLOCK_DEVICE_BUFFER_EXT    0x20 (read_only)     Memory buffer base address (32 MSB bits)
+// - BLOCK_DEVICE_BUFFER        0x00 (read/write)  Memory buffer base address (LSB bits)
+// - BLOCK_DEVICE_COUNT         0x04 (read/write)  Number of blocks to be transfered.
+// - BLOCK_DEVICE_LBA           0x08 (read/write)  Index of first block in the file.
+// - BLOCK_DEVICE_OP            0x0C (write-only)  Writing here starts the operation.
+// - BLOCK_DEVICE_STATUS        0x10 (read-only)   Block Device status.
+// - BLOCK_DEVICE_IRQ_ENABLE    0x14 (read/write)  IRQ enabled if non zero.
+// - BLOCK_DEVICE_SIZE          0x18 (read-only)   Number of addressable blocks.
+// - BLOCK_DEVICE_BLOCK_SIZE    0x1C (read_only)   Block size in bytes.
+// - BLOCK_DEVICE_BUFFER_EXT    0x20 (read_only)   Memory buffer base address (MSB bits)
 //
 // The following operations codes are supported: 
@@ -104,11 +108,11 @@
     sc_signal<uint32_t>               r_lba;          	  // first block index
     sc_signal<bool>                   r_read;         	  // requested operation
-    sc_signal<uint32_t>               r_index;        	  // flit index in local buffer
+    sc_signal<uint32_t>               r_index;        	  // word index in local buffer
     sc_signal<uint32_t>               r_latency_count;    // latency counter 
-    sc_signal<uint32_t>               r_flit_count;   	  // flit counter (in a burst)
+    sc_signal<uint32_t>               r_words_count;   	  // word counter (in a burst)
     sc_signal<uint32_t>               r_burst_count;   	  // burst counter (in a block)
     sc_signal<uint32_t>               r_block_count;  	  // block counter (in a transfer)
-    sc_signal<uint32_t>               r_burst_offset;     // number of non aligned flits
-    sc_signal<uint32_t>               r_burst_nflits;     // number of flits in a burst
+    sc_signal<uint32_t>               r_burst_offset;     // number of non aligned words
+    sc_signal<uint32_t>               r_burst_nwords;     // number of words in a burst
     sc_signal<bool>                   r_go;           	  // command from T_FSM to M_FSM
 
@@ -124,6 +128,6 @@
     int                               m_fd;           	  // File descriptor
     uint64_t                          m_device_size;  	  // Total number of blocks
-    const uint32_t                    m_flits_per_block;  // number of flits in a block
-    const uint32_t                    m_flits_per_burst;  // number of flits in a burst
+    const uint32_t                    m_words_per_block;  // number of words in a block
+    const uint32_t                    m_words_per_burst;  // number of words in a burst
     const uint32_t                    m_bursts_per_block; // number of bursts in a block
     const uint32_t                    m_latency;      	  // device latency
